#
# spec file for package pyxml (Version 0.6.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  openssl python python-devel python-xml
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl pam pam-devel patch perl ps python python-devel python-xml rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         pyxml
Summary:      XML Tools in Python
Version:      0.6.6
Release:      68
Source0: http://download.sourceforge.net/pyxml/PyXML-%{version}.tar.gz
Copyright: Various Copyrights - free
Group: Development/Languages
Requires: python python-xml
Provides: PyXML
Autoreqprov:  on
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Url: http://www.python.org/sigs/xml-sig/

%description
The Python/XML distribution contains the basic tools required for processing XML data using the Python programming language. The distribution includes parsers
and standard interfaces such as SAX and DOM, along with various other useful modules.  
The package currently contains:
* XML parsers: Pyexpat (Jack Jansen), xmlproc (Lars Marius
Garshol), and sgmlop (Fredrik Lundh)
* SAX interface (Lars Marius Garshol)
* minidom, a DOM implementation (Paul Prescod)
* 4DOM from Fourthought (Uche Ogbuji, Mike Olson)
* Various utility modules and functions (various people)
* Documentation and example programs (various people)
The code is being developed bazaar-style by contributors from the Python XML Special Interest Group, so please send comments, questions, or bug reports to <xml-sig@python.org>.
For general information about Python, see:
http://www.python.org
The Python XML-SIG home page is:
http://www.python.org/sigs/xml-sig/

Authors:
--------
    Andrew M. Kuchling <akuchlin@cnri.reston.va.us>
    Stefane Fermigier <fermigie@math.jussieu.fr>
    James Clark <jjc@jclark.com>
    fredrik@pythonware.com
    Lars Marius Garshol <larsga@ifi.uio.no>
    Fred L. Drake <fdrake@cnri.reston.va.us>
    Geir Ove Grnmo
    Martin von Lwis

SuSE series: sgm

%prep
%setup -q -n PyXML-%{version}

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc ANNOUNCE CREDITS LICENCE README README.dom
%doc README.pyexpat README.sgmlop TODO
%doc demo
%doc doc
%doc test

%changelog -n pyxml
* Mon Sep 24 2001 - ke@suse.de
- pyxml.spec: Require 'python-xml' (also add it do #neeededforbuild).
* Mon Aug 06 2001 - ke@suse.de
- Update to version 0.6.6.
* Wed Mar 28 2001 - ke@suse.de
- Update to version 0.6.5.
* Mon Jan 22 2001 - ke@suse.de
- Update to version 0.6.3.
* Mon Jan 22 2001 - ke@suse.de
- pyxml.spec: Require 'python'.
* Wed Nov 22 2000 - ke@suse.de
- Update to version 0.6.2.
- Change the spec file to make use of Python 2.0 features.
* Sun Oct 29 2000 - kukuk@suse.de
- fix need for build
* Tue Jun 06 2000 - ke@suse.de
- update to version 0.5.5.
* Fri Jun 02 2000 - ke@suse.de
- update to version 0.5.4.
- spec file: cleanup.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Apr 27 1999 - ke@suse.de
- initial package: version 0.5.1.
